ome-xml 5.2.3

Classes | Public Member Functions | Static Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
ome::xml::model::PlateAcquisition Class Reference

PlateAcquisition model object. More...

`#include <ome/xml/model/PlateAcquisition.h>`

Inheritance diagram for ome::xml::model::PlateAcquisition:
[legend]
Collaboration diagram for ome::xml::model::PlateAcquisition:
[legend]

## Classes
class | Impl
| Private implementation details of PlateAcquisition model object. More...

## Public Member Functions
| PlateAcquisition ()
| Default constructor.
| PlateAcquisition (const PlateAcquisition &copy)
| Copy constructor. More...
virtual | ~PlateAcquisition ()
| Destructor.
const std::string & | elementName () const
| Get the element name of this model object. More...
bool | validElementName (const std::string &name) const
| Check if a given element name is valid for processing by this model object. More...
virtual void | update (const common::xml::dom::Element &element, ome::xml::model::OMEModel &model)
| Update the object hierarchy recursively from an XML DOM tree. More...
bool | link (ome::compat::shared_ptr< Reference > &reference, ome::compat::shared_ptr< ome::xml::model::OMEModelObject > &object)
| Link a given OME model object to this model object. More...
ome::compat::shared_ptr< ome::xml::model::primitives::PositiveInteger > | getMaximumFieldCount ()
| Get the MaximumFieldCount property. More...
const ome::compat::shared_ptr< ome::xml::model::primitives::PositiveInteger > | getMaximumFieldCount () const
| Get the MaximumFieldCount property. More...
void | setMaximumFieldCount (ome::compat::shared_ptr< ome::xml::model::primitives::PositiveInteger > &maximumFieldCount)
| Set the MaximumFieldCount property. More...
ome::compat::shared_ptr< ome::xml::model::primitives::Timestamp > | getEndTime ()
| Get the EndTime property. More...
const ome::compat::shared_ptr< ome::xml::model::primitives::Timestamp > | getEndTime () const
| Get the EndTime property. More...
void | setEndTime (ome::compat::shared_ptr< ome::xml::model::primitives::Timestamp > &endTime)
| Set the EndTime property. More...
const std::string & | getID () const
| Get the ID property. More...
void | setID (const std::string &id)
| Set the ID property. More...
ome::compat::shared_ptr< ome::xml::model::primitives::Timestamp > | getStartTime ()
| Get the StartTime property. More...
const ome::compat::shared_ptr< ome::xml::model::primitives::Timestamp > | getStartTime () const
| Get the StartTime property. More...
void | setStartTime (ome::compat::shared_ptr< ome::xml::model::primitives::Timestamp > &startTime)
| Set the StartTime property. More...
ome::compat::shared_ptr< std::string > | getName ()
| Get the Name property. More...
const ome::compat::shared_ptr< std::string > | getName () const
| Get the Name property. More...
void | setName (ome::compat::shared_ptr< std::string > &name)
| Set the Name property. More...
ome::compat::shared_ptr< std::string > | getDescription ()
| Get the Description property. More...
const ome::compat::shared_ptr< std::string > | getDescription () const
| Get the Description property. More...
void | setDescription (ome::compat::shared_ptr< std::string > &description)
| Set the Description property. More...
OMEModelObject::indexed_container< ome::xml::model::WellSample, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedWellSampleList () const
| Get size of linked WellSample list. More...
OMEModelObject::indexed_container< ome::xml::model::WellSample, ome::compat::weak_ptr >::type | getLinkedWellSampleList () const
| Get the linked WellSample list. More...
const ome::compat::weak_ptr< ome::xml::model::WellSample > & | getLinkedWellSample (OMEModelObject::indexed_container< ome::xml::model::WellSample, ome::compat::weak_ptr >::type::size_type index) const
| Get linked WellSample. More...
const ome::compat::weak_ptr< ome::xml::model::WellSample > & | setLinkedWellSample (OMEModelObject::indexed_container< ome::xml::model::WellSample, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::WellSample > &wellSample)
| Set linked WellSample. More...
bool | linkWellSample (const ome::compat::shared_ptr< ome::xml::model::WellSample > &wellSample)
| Link WellSample. More...
bool | unlinkWellSample (const ome::compat::shared_ptr< ome::xml::model::WellSample > &wellSample)
| Unlink WellSample. More...
OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type::size_type | sizeOfLinkedAnnotationList () const
| Get size of linked Annotation list. More...
OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type | getLinkedAnnotationList () const
| Get the linked Annotation list. More...
const ome::compat::weak_ptr< ome::xml::model::Annotation > & | getLinkedAnnotation (OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type::size_type index) const
| Get linked Annotation. More...
const ome::compat::weak_ptr< ome::xml::model::Annotation > & | setLinkedAnnotation (OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type::size_type index, const ome::compat::shared_ptr< ome::xml::model::Annotation > &annotation)
| Set linked Annotation. More...
bool | linkAnnotation (const ome::compat::shared_ptr< ome::xml::model::Annotation > &annotation)
| Link Annotation. More...
bool | unlinkAnnotation (const ome::compat::shared_ptr< ome::xml::model::Annotation > &annotation)
| Unlink Annotation. More...
ome::compat::weak_ptr< ome::xml::model::Plate > | getPlate ()
| Get the Plate property. More...
const ome::compat::weak_ptr< ome::xml::model::Plate > | getPlate () const
| Get the Plate property. More...
void | setPlate (ome::compat::weak_ptr< ome::xml::model::Plate > &plate_BackReference)
| Set the Plate property. More...
virtual common::xml::dom::Element | asXMLElement (common::xml::dom::Document &document) const
| Transform the object hierarchy rooted at this element to XML. More...
const std::string & | getXMLNamespace () const
| Get the XML namespace for this model object. More...
Public Member Functions inherited from ome::xml::model::detail::OMEModelObject
virtual | ~OMEModelObject ()
| Destructor.
virtual void | update (const common::xml::dom::Element &element, ::ome::xml::model::OMEModel &model)
| Update the object hierarchy recursively from an XML DOM tree. More...
virtual bool | link (ome::compat::shared_ptr< Reference > &reference, ome::compat::shared_ptr< ::ome::xml::model::OMEModelObject > &object)
| Link a given OME model object to this model object. More...
Public Member Functions inherited from ome::xml::model::OMEModelObject
virtual bool | link (ome::compat::shared_ptr< Reference > &reference, ome::compat::shared_ptr< OMEModelObject > &object)=0
| Link a given OME model object to this model object. More...

## Static Public Member Functions
static ome::compat::shared_ptr< PlateAcquisition > | create (const common::xml::dom::Element &element, ome::xml::model::OMEModel &model)
| Create a PlateAcquisition model object from DOM element. More...
Static Public Member Functions inherited from ome::xml::model::detail::OMEModelObject
static std::vector< common::xml::dom::Element > | getChildrenByTagName (const common::xml::dom::Element &parent, const std::string &name)
| Retrieve all the children of an element that have a given tag name. More...
static std::string | stripNamespacePrefix (const std::string &value)
| Strip the namespace prefix from a tag name. More...

## Protected Member Functions
virtual common::xml::dom::Element | asXMLElementInternal (common::xml::dom::Document &document, common::xml::dom::Element &element) const
| Transform the object hierarchy rooted at this element to XML. More...
Protected Member Functions inherited from ome::xml::model::detail::OMEModelObject
| OMEModelObject (const std::string &objectType="OMEModelObject")
| Constructor.
| OMEModelObject (const OMEModelObject &copy)
| Copy constructor. More...
template<class C , typename T >
bool | contains (const C &container, const ome::compat::shared_ptr< T > &element)
| Check if a container contains a particular element. More...
Protected Member Functions inherited from ome::xml::model::OMEModelObject
| OMEModelObject ()
| Constructor.

## Private Member Functions
PlateAcquisition & | operator= (const PlateAcquisition &)
| Assignment operator (deleted).

## Private Attributes
ome::compat::shared_ptr< Impl > | impl
| Private implementation details.

## Additional Inherited Members
Protected Attributes inherited from ome::xml::model::detail::OMEModelObject
ome::common::Logger | logger
| Message logger.

## Detailed Description

PlateAcquisition model object.

## Constructor & Destructor Documentation

## § PlateAcquisition()

ome::xml::model::PlateAcquisition::PlateAcquisition | ( | const PlateAcquisition & | copy | ) |

Copy constructor.

Parameters

  copy | the PlateAcquisition to copy.

## Member Function Documentation

## § asXMLElement()

common::xml::dom::Element ome::xml::model::PlateAcquisition::asXMLElement | ( | common::xml::dom::Document & | document | ) | const
| virtual

Transform the object hierarchy rooted at this element to XML.

Parameters

  document | document for element creation

Returns
  an XML DOM tree root element for this model object.

Implements ome::xml::model::OMEModelObject.

References asXMLElementInternal(), ome::common::xml::dom::Document::createElementNS(), and getXMLNamespace().

## § asXMLElementInternal()

common::xml::dom::Element ome::xml::model::PlateAcquisition::asXMLElementInternal | ( | common::xml::dom::Document & | document,
|  | common::xml::dom::Element & | element
| ) |  | const
| protectedvirtual

Transform the object hierarchy rooted at this element to XML.

This internal implementation of asXMLelement also requires an XML element, which must not be null, or may be instantiated and passed from superclasses.

Parameters

  document | XML document for element creation.
  element | XML element for setting model data.

Returns
  an XML DOM tree root element for this model object.

Implements ome::xml::model::detail::OMEModelObject.

References ome::common::xml::dom::Node::appendChild(), ome::xml::model::detail::OMEModelObject::asXMLElementInternal(), ome::common::xml::dom::Document::createElementNS(), getXMLNamespace(), impl, and ome::common::xml::dom::Element::setAttribute().

Referenced by asXMLElement().

Here is the caller graph for this function:

## § create()

ome::compat::shared_ptr< PlateAcquisition > ome::xml::model::PlateAcquisition::create | ( | const common::xml::dom::Element & | element,
|  | ome::xml::model::OMEModel & | model
| ) |  |
| static

Create a PlateAcquisition model object from DOM element.

Parameters

  element | root of the XML DOM tree to from which to construct the model object graph.
  model | handler for the OME model used to track instances and references seen during the update.

Exceptions

  EnumerationException | if there is an error instantiating an enumeration during model object creation, or ModelException if there are any consistency or validity errors found during processing.

Returns
  a new model object.

Referenced by ome::xml::model::Plate::update().

Here is the caller graph for this function:

## § elementName()

const std::string & ome::xml::model::PlateAcquisition::elementName | ( |  | ) | const
| virtual

Get the element name of this model object.

This will be the most-derived class name.

Returns
  the element type.

Implements ome::xml::model::OMEModelObject.

## § getDescription() [1/2]

ome::compat::shared_ptr< std::string > ome::xml::model::PlateAcquisition::getDescription | ( |  | ) |

Get the Description property.

Returns
  the Description property.

References impl.

## § getDescription() [2/2]

const ome::compat::shared_ptr< std::string > ome::xml::model::PlateAcquisition::getDescription | ( |  | ) | const

Get the Description property.

Returns
  the Description property.

References impl.

## § getEndTime() [1/2]

ome::compat::shared_ptr< ome::xml::model::primitives::Timestamp > ome::xml::model::PlateAcquisition::getEndTime | ( |  | ) |

Get the EndTime property.

Returns
  the EndTime property.

References impl.

## § getEndTime() [2/2]

const ome::compat::shared_ptr< ome::xml::model::primitives::Timestamp > ome::xml::model::PlateAcquisition::getEndTime | ( |  | ) | const

Get the EndTime property.

Returns
  the EndTime property.

References impl.

## § getID()

const std::string & ome::xml::model::PlateAcquisition::getID | ( |  | ) | const

Get the ID property.

Returns
  the ID property.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § getLinkedAnnotation()

const ome::compat::weak_ptr< ome::xml::model::Annotation > & ome::xml::model::PlateAcquisition::getLinkedAnnotation | ( | OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type::size_type | index | ) | const

Get linked Annotation.

Parameters

  index | the index number of the Annotation.

Returns
  a weak pointer to the Annotation.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getLinkedAnnotationList()

OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type ome::xml::model::PlateAcquisition::getLinkedAnnotationList | ( |  | ) | const

Get the linked Annotation list.

Returns
  a reference to the list.

References impl.

## § getLinkedWellSample()

const ome::compat::weak_ptr< ome::xml::model::WellSample > & ome::xml::model::PlateAcquisition::getLinkedWellSample | ( | OMEModelObject::indexed_container< ome::xml::model::WellSample, ome::compat::weak_ptr >::type::size_type | index | ) | const

Get linked WellSample.

Parameters

  index | the index number of the WellSample.

Returns
  a weak pointer to the WellSample.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § getLinkedWellSampleList()

OMEModelObject::indexed_container< ome::xml::model::WellSample, ome::compat::weak_ptr >::type ome::xml::model::PlateAcquisition::getLinkedWellSampleList | ( |  | ) | const

Get the linked WellSample list.

Returns
  a reference to the list.

References impl.

## § getMaximumFieldCount() [1/2]

ome::compat::shared_ptr< ome::xml::model::primitives::PositiveInteger > ome::xml::model::PlateAcquisition::getMaximumFieldCount | ( |  | ) |

Get the MaximumFieldCount property.

Returns
  the MaximumFieldCount property.

References impl.

## § getMaximumFieldCount() [2/2]

const ome::compat::shared_ptr< ome::xml::model::primitives::PositiveInteger > ome::xml::model::PlateAcquisition::getMaximumFieldCount | ( |  | ) | const

Get the MaximumFieldCount property.

Returns
  the MaximumFieldCount property.

References impl.

## § getName() [1/2]

ome::compat::shared_ptr< std::string > ome::xml::model::PlateAcquisition::getName | ( |  | ) |

Get the Name property.

Returns
  the Name property.

References impl.

## § getName() [2/2]

const ome::compat::shared_ptr< std::string > ome::xml::model::PlateAcquisition::getName | ( |  | ) | const

Get the Name property.

Returns
  the Name property.

References impl.

## § getPlate() [1/2]

ome::compat::weak_ptr< ome::xml::model::Plate > ome::xml::model::PlateAcquisition::getPlate | ( |  | ) |

Get the Plate property.

Returns
  the Plate property.

References impl.

## § getPlate() [2/2]

const ome::compat::weak_ptr< ome::xml::model::Plate > ome::xml::model::PlateAcquisition::getPlate | ( |  | ) | const

Get the Plate property.

Returns
  the Plate property.

References impl.

## § getStartTime() [1/2]

ome::compat::shared_ptr< ome::xml::model::primitives::Timestamp > ome::xml::model::PlateAcquisition::getStartTime | ( |  | ) |

Get the StartTime property.

Returns
  the StartTime property.

References impl.

## § getStartTime() [2/2]

const ome::compat::shared_ptr< ome::xml::model::primitives::Timestamp > ome::xml::model::PlateAcquisition::getStartTime | ( |  | ) | const

Get the StartTime property.

Returns
  the StartTime property.

References impl.

## § getXMLNamespace()

const std::string & ome::xml::model::PlateAcquisition::getXMLNamespace | ( |  | ) | const
| virtual

Get the XML namespace for this model object.

Returns
  the XML namespace.

Implements ome::xml::model::OMEModelObject.

Referenced by asXMLElement(), and asXMLElementInternal().

Here is the caller graph for this function:

## § link()

bool ome::xml::model::PlateAcquisition::link | ( | ome::compat::shared_ptr< Reference > & | reference,
|  | ome::compat::shared_ptr< ome::xml::model::OMEModelObject > & | object
| ) |  |

Link a given OME model object to this model object.

Parameters

  reference | type qualifier for the reference. This should be the corresponding reference type for object. If, for example, object is of type Image, reference must be of type ImageRef.
  object | Model object to link to.

Returns
  `true` if this model object was able to handle the reference, otherwise `false`.

Todo:
  the use of reference to provide type information for the type of object is unconventional and quite possibly unnecessary–a simple string or type_info would suffice for what it's being used for, if it's needed at all. Is this true for all cases? The implementation also needs to do strict checking of the object type; it's not currently failing if it's of the wrong type. This applies to all generated model objects implementing this interface.

Todo:
  This bit is silly; why do we have two dynamic_casts here.

Todo:
  This bit is silly; why do we have two dynamic_casts here.

References impl, ome::xml::model::detail::OMEModelObject::link(), ome::xml::model::WellSample::linkPlateAcquisition(), ome::xml::model::Annotation::linkPlateAcquisition(), and ome::xml::model::detail::OMEModelObject::logger.

## § linkAnnotation()

bool ome::xml::model::PlateAcquisition::linkAnnotation | ( | const ome::compat::shared_ptr< ome::xml::model::Annotation > & | annotation | ) |

Link Annotation.

Parameters

  annotation | the Annotation to link.

Returns
  `true` if the object was added to the internal annotationLinks list, otherwise `false`.

Todo:
  Why have a return value here; what is it used for? Is this an artifact of the Java API?

References impl.

## § linkWellSample()

bool ome::xml::model::PlateAcquisition::linkWellSample | ( | const ome::compat::shared_ptr< ome::xml::model::WellSample > & | wellSample | ) |

Link WellSample.

Parameters

  wellSample | the WellSample to link.

Returns
  `true` if the object was added to the internal wellSamples list, otherwise `false`.

Todo:
  Why have a return value here; what is it used for? Is this an artifact of the Java API?

References impl.

## § setDescription()

void ome::xml::model::PlateAcquisition::setDescription | ( | ome::compat::shared_ptr< std::string > & | description | ) |

Set the Description property.

Parameters

  description | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § setEndTime()

void ome::xml::model::PlateAcquisition::setEndTime | ( | ome::compat::shared_ptr< ome::xml::model::primitives::Timestamp > & | endTime | ) |

Set the EndTime property.

Parameters

  endTime | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § setID()

void ome::xml::model::PlateAcquisition::setID | ( | const std::string & | id | ) |

Set the ID property.

Parameters

  id | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § setLinkedAnnotation()

const ome::compat::weak_ptr< ome::xml::model::Annotation > & ome::xml::model::PlateAcquisition::setLinkedAnnotation | ( | OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type::size_type | index,
|  | const ome::compat::shared_ptr< ome::xml::model::Annotation > & | annotation
| ) |  |

Set linked Annotation.

Note
  The index must be valid.

Parameters

  index | the index number of the Annotation.
  annotation | the Annotation to set.

Returns
  a weak pointer to the Annotation.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setLinkedWellSample()

const ome::compat::weak_ptr< ome::xml::model::WellSample > & ome::xml::model::PlateAcquisition::setLinkedWellSample | ( | OMEModelObject::indexed_container< ome::xml::model::WellSample, ome::compat::weak_ptr >::type::size_type | index,
|  | const ome::compat::shared_ptr< ome::xml::model::WellSample > & | wellSample
| ) |  |

Set linked WellSample.

Note
  The index must be valid.

Parameters

  index | the index number of the WellSample.
  wellSample | the WellSample to set.

Returns
  a weak pointer to the WellSample.

Exceptions

  std::out_of_range | if the index is invalid.

References impl.

## § setMaximumFieldCount()

void ome::xml::model::PlateAcquisition::setMaximumFieldCount | ( | ome::compat::shared_ptr< ome::xml::model::primitives::PositiveInteger > & | maximumFieldCount | ) |

Set the MaximumFieldCount property.

Parameters

  maximumFieldCount | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § setName()

void ome::xml::model::PlateAcquisition::setName | ( | ome::compat::shared_ptr< std::string > & | name | ) |

Set the Name property.

Parameters

  name | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § setPlate()

void ome::xml::model::PlateAcquisition::setPlate | ( | ome::compat::weak_ptr< ome::xml::model::Plate > & | plate_BackReference | ) |

Set the Plate property.

Parameters

  plate_BackReference | the value to set.

References impl.

## § setStartTime()

void ome::xml::model::PlateAcquisition::setStartTime | ( | ome::compat::shared_ptr< ome::xml::model::primitives::Timestamp > & | startTime | ) |

Set the StartTime property.

Parameters

  startTime | the value to set.

References impl.

Referenced by update().

Here is the caller graph for this function:

## § sizeOfLinkedAnnotationList()

OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type::size_type ome::xml::model::PlateAcquisition::sizeOfLinkedAnnotationList | ( |  | ) | const

Get size of linked Annotation list.

Returns
  the size of the list.

References impl.

## § sizeOfLinkedWellSampleList()

OMEModelObject::indexed_container< ome::xml::model::WellSample, ome::compat::weak_ptr >::type::size_type ome::xml::model::PlateAcquisition::sizeOfLinkedWellSampleList | ( |  | ) | const

Get size of linked WellSample list.

Returns
  the size of the list.

References impl.

## § unlinkAnnotation()

bool ome::xml::model::PlateAcquisition::unlinkAnnotation | ( | const ome::compat::shared_ptr< ome::xml::model::Annotation > & | annotation | ) |

Unlink Annotation.

Parameters

  annotation | the Annotation to unlink.

Returns
  `true` if the Annotation was unlinked, otherwise `false` if the Annotation was not linked and could hence not be unlinked.

Todo:

  Does the return value serve any useful purpose? Is this also inherited Java API?

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § unlinkWellSample()

bool ome::xml::model::PlateAcquisition::unlinkWellSample | ( | const ome::compat::shared_ptr< ome::xml::model::WellSample > & | wellSample | ) |

Unlink WellSample.

Parameters

  wellSample | the WellSample to unlink.

Returns
  `true` if the WellSample was unlinked, otherwise `false` if the WellSample was not linked and could hence not be unlinked.

Todo:

  Does the return value serve any useful purpose? Is this also inherited Java API?

  Doesn't the removal break the indexing?

  Does the removal deal with multiple instances; we aren't preventing duplicates on insertion.

References impl.

## § update()

void ome::xml::model::PlateAcquisition::update | ( | const common::xml::dom::Element & | element,
|  | ome::xml::model::OMEModel & | model
| ) |  |
| virtual

Update the object hierarchy recursively from an XML DOM tree.

Note
  No properties are removed, only added or updated.

Parameters

  element | root of the XML DOM tree to from which to construct the model object graph.
  model | handler for the OME model used to track instances and references seen during the update.

Exceptions

  EnumerationException | if there is an error instantiating an enumeration during model object creation, or ModelException if there are any consistency or validity errors found during processing.

Implements ome::xml::model::OMEModelObject.

References ome::xml::model::OMEModel::addModelObject(), ome::xml::model::OMEModel::addReference(), ome::common::xml::dom::Element::getAttribute(), ome::xml::model::detail::OMEModelObject::getChildrenByTagName(), getID(), ome::common::xml::dom::Element::getTagName(), ome::common::xml::dom::Element::hasAttribute(), ome::xml::model::detail::OMEModelObject::logger, setDescription(), setEndTime(), setID(), setMaximumFieldCount(), setName(), setStartTime(), ome::xml::model::detail::OMEModelObject::stripNamespacePrefix(), ome::xml::model::detail::OMEModelObject::update(), and validElementName().

## § validElementName()

bool ome::xml::model::PlateAcquisition::validElementName | ( | const std::string & | name | ) | const
| virtual

Check if a given element name is valid for processing by this model object.

Used for processing nodes when interitance is involved.

Parameters

  name | the element name to check.

Returns
  `true` if valid, `false` if invalid.

Implements ome::xml::model::detail::OMEModelObject.

References ome::xml::model::detail::OMEModelObject::validElementName().

Referenced by update().

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- ome/xml/model/PlateAcquisition.h
- ome/xml/model/PlateAcquisition.cpp